| Python Script Engine 8.3 GL Studio Editor Python Script API

List of all members
EditorLog Class Reference

## Module Methods
Methods that can be called on the module.
void | PrintInfo (String str)
void | PrintWarning (String str)
void | PrintError (String str)
void | PrintCodeInfo (String str)
void | PrintCodeWarning (String str)
void | PrintCodeError (String str)
void | ClearLog ()
void | SaveLog (String fileName, String lastLine=String())

## Detailed Description

Editor Logging module that contains methods to send messages to the GL Studio Log.

## Member Function Documentation

## ◆ ClearLog()

void ClearLog | ( |  | ) |

Clear the editor log.

## ◆ PrintCodeError()

void PrintCodeError | ( | String | str | ) |

Output an error string to the editor log with no formatting.

Useful to display code.

Parameters

  str | error string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

Since
  GL Studio 6.0.1

## ◆ PrintCodeInfo()

void PrintCodeInfo | ( | String | str | ) |

Output an info string to the editor log with no formatting.

Useful to display code.

Parameters

  str | info string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

Since
  GL Studio 6.0.1

## ◆ PrintCodeWarning()

void PrintCodeWarning | ( | String | str | ) |

Output an error string to the editor log with no formatting.

Useful to display code.

Parameters

  str | error string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

Since
  GL Studio 6.0.1

## ◆ PrintError()

void PrintError | ( | String | str | ) |

Output an error string to the editor log.

Parameters

  str | error string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

## ◆ PrintInfo()

void PrintInfo | ( | String | str | ) |

Output an info string to the editor log.

Parameters

  str | Info string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

## ◆ PrintWarning()

void PrintWarning | ( | String | str | ) |

Output a warning string to the editor log.

Parameters

  str | warning string to output (NOTE: the string can contain any number of newline characters if multiple line output is desired)

## ◆ SaveLog()

void SaveLog | ( | String | fileName,
|  | String | lastLine = `String ()`
| ) |  |

Save the current log to the specified file.

Parameters

  fileName | Fully qualified path name of the file to write
  lastLine | An addition non-formatted line to add to the end of the log. Normally used by errors written by exception handlers

The documentation for this class was generated from the following file:

- EditorLog.i